package com.happy.dao;

import com.happy.Model.BookingLog;
import com.happy.Model.UserVisits;

import java.util.List;

public interface UserVisitsDao {

    /**
     * 插入数据
     * @param userVisits
     * @return
     */
    public int insert(UserVisits userVisits);

    /**
     * 添加用户访问量信息
     * @param userId  用户id
     * @return
     */
    public int add(String userId);


    public UserVisits queryTodayUserVisits();

    /**
     * 查询访问量：本日，本周，本月
     * @param sql
     * @return
     */
    List queryVisitsBySql(String sql);


    /**
     * 自定义时间查询访问量
     * @param startTime
     * @param endTime
     * @return
     */
    List queryVisitsByDiyTime(String startTime, String endTime);
}
